
Infrastructure - Task #994

Story # 909 (Closed): Reimplement cn/resolve using nodelist for testing

Task # 774 (Closed): implement Node Registry lookup for resolve function

complete error handling and tests for

2010-10-11 17:46 - Rob Nahf

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 3.00 hours

Target version: Sprint-2010.43   

Milestone:  Story Points:  

Product Version: *   

Description

History

#1 - 2010-10-11 17:47 - Rob Nahf

- Estimated time set to 4.00

#2 - 2010-10-13 22:04 - Rob Nahf

- translation missing: en.field_remaining_hours set to 5.0

- Estimated time changed from 4.00 to 6.00

- Priority changed from Normal to Immediate

#3 - 2010-10-13 22:06 - Rob Nahf

- Status changed from New to In Progress

#4 - 2010-10-13 22:07 - Rob Nahf

- Estimated time set to 4.00

- translation missing: en.field_remaining_hours changed from 0.0 to 5.0

#5 - 2010-10-14 21:18 - Rob Nahf

- % Done changed from 0 to 50

refactoring to accomodate error handling.  Further efficiencies and readability improvements.

#6 - 2010-10-15 17:28 - Rob Nahf

- translation missing: en.field_remaining_hours changed from 5.0 to 2.0

#7 - 2010-10-18 22:45 - Rob Nahf

- translation missing: en.field_remaining_hours changed from 2.0 to 6.0

#8 - 2010-10-19 20:59 - Rob Nahf

- translation missing: en.field_remaining_hours changed from 6.0 to 3.0

- Estimated time changed from 4.00 to 3.00

- % Done changed from 50 to 90
Completed unit tests for nearly all error handling situations.  the new resolve produces objectlocationlists consistent with v0.4 schemas.  Need to wait

for schema update to produce v0.5 OLLs.  A remaining todo is testing correct schema validation using the new errorhandler.

#9 - 2010-10-21 06:36 - Rob Nahf

- translation missing: en.field_remaining_hours changed from 3.0 to 1.0

completed unit test development and bug fixing on schema validation.  Need to fix minor bug in nodelist caching unit test, then ready for integraiton

testing.

#10 - 2010-10-21 21:15 - Rob Nahf

- % Done changed from 90 to 100

- translation missing: en.field_remaining_hours changed from 1.0 to 0.0

- Status changed from In Progress to Closed

finished tests for ResolveFilter.  ready for integration testing
